Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# cmdline.c File Reference

## Detailed Description

Definition in file cmdline.c.

`#include <avr/io.h>`
`#include <avr/interrupt.h>`
`#include <avr/pgmspace.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "global.h"`
`#include "cmdline.h"`
`#include "cmdlineconf.h"`

Go to the source code of this file.

## Defines
#define | ASCII_BEL 0x07
#define | ASCII_BS 0x08
#define | ASCII_CR 0x0D
#define | ASCII_LF 0x0A
#define | ASCII_ESC 0x1B
#define | ASCII_DEL 0x7F
#define | VT100_ARROWUP 'A'
#define | VT100_ARROWDOWN 'B'
#define | VT100_ARROWRIGHT 'C'
#define | VT100_ARROWLEFT 'D'
#define | CMDLINE_HISTORY_SAVE 0
#define | CMDLINE_HISTORY_PREV 1
#define | CMDLINE_HISTORY_NEXT 2
## Functions
void | cmdlineInit (void)
| initalize the command line system
void | cmdlineAddCommand (u08 *newCmdString, CmdlineFuncPtrType newCmdFuncPtr)
| add a new command to the database of known commands
void | cmdlineSetOutputFunc (void(*output_func)(unsigned char c))
| sets the function used for sending characters to the user terminal
void | cmdlineInputFunc (unsigned char c)
| call this function to pass input charaters from the user terminal
void | cmdlineRepaint (void)
void | cmdlineDoHistory (u08 action)
void | cmdlineProcessInputString (void)
void | cmdlineMainLoop (void)
| call this function in your program's main loop
void | cmdlinePrintPrompt (void)
void | cmdlinePrintError (void)
u08 * | cmdlineGetArgStr (u08 argnum)
| returns a string pointer to argument number [argnum] on the command line
long | cmdlineGetArgInt (u08 argnum)
| returns the decimal integer interpretation of argument number [argnum]
long | cmdlineGetArgHex (u08 argnum)
| returns the hex integer interpretation of argument number [argnum]
## Variables
u08 PROGMEM | CmdlinePrompt [] = "cmd>"
u08 PROGMEM | CmdlineNotice [] = "cmdline: "
u08 PROGMEM | CmdlineCmdNotFound [] = "command not found"
u08 | CmdlineNumCommands
u08 | CmdlineBuffer [CMDLINE_BUFFERSIZE]
u08 | CmdlineBufferLength
u08 | CmdlineBufferEditPos
u08 | CmdlineInputVT100State
u08 | CmdlineHistory [CMDLINE_HISTORYSIZE][CMDLINE_BUFFERSIZE]
CmdlineFuncPtrType | CmdlineExecFunction